xemacs21-nomule_21.4.24-8_i386.deb


Advertisement

Description

xemacs21-nomule - highly customizable text editor -- Non-mule binary

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename xemacs21-nomule_21.4.24-8_i386.deb
Package name xemacs21-nomule
Package version 21.4.24
Package release 8
Package architecture i386
Package type deb
Category devel::editor editors interface::graphical interface::text-mode interface::x11 role::program scope::application suite::emacs uitoolkit::athena uitoolkit::gtk uitoolkit::ncurses use::editing works-with::dtp works-with::mail works-with::text x11::application
Homepage http://www.xemacs.org/
License -
Maintainer Mark Brown <broonie@debian.org>
Download size 1.45 MB
Installed size 5.09 MB
XEmacs is a full fledged programming language with a mail reader,
news reader, info browser, web browser, calendar, specialized editor
for more programming languages and other formats than most people
encounter in a lifetime, and much more.
This package contains the actual binary used to run XEmacs.  It
depends on the xemacs21-support package for lisp and etc files, and
the xemacs21-bin package for supporting binaries.  This binary does
not have any of the mule stuff compiled into it.  It should be faster
than the xemacs21-mule and xemacs21-mule-canna-wnn packages because
it does not contain the fairly large bit of code for either the
display or input of non-European characters.
This package actually contains one of the three xemacs binaries
available.  They are xemacs21-nomule, xemacs21-mule and
xemacs21-mule-canna-wnn.

Alternatives

Package Version Architecture Repository
xemacs21-nomule_21.4.24-8_amd64.deb 21.4.24 amd64 Debian Main
xemacs21-nomule - - -

Requires

Name Value
emacsen-common >= 3.0.0
libc6 >= 2.28
libcompfaceg1 -
libdb5.3 -
libgpm2 >= 1.20.7
libice6 >= 1:1.0.0
libjpeg62-turbo >= 1.3.1
libldap-2.4-2 >= 2.4.7
libncurses6 >= 6
libpng16-16 >= 1.6.2-1
libsm6 -
libtiff5 >= 4.0.3
libtinfo6 >= 6
libx11-6 -
libxaw7 -
libxext6 -
libxmu6 -
libxpm4 -
libxt6 -
xemacs21-basesupport >= 2003.04.23-1
xemacs21-bin = 21.4.24-8
xemacs21-support = 21.4.24-8
zlib1g >= 1:1.1.4

Provides

Name Value
emacsen -
info-browser -
mail-reader -
news-reader -
www-browser -
xemacs21 -

Conflicts

Name Value
xemacs21-gnome-nomule -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package xemacs21-nomule_21.4.24-8_i386.deb
Source Package xemacs21

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install xemacs21-nomule deb package:
    # sudo apt-get install xemacs21-nomule

Files

Path
/usr/bin/xemacs-21.4.24-nomule
/usr/bin/xemacs21-nomule
/usr/lib/xemacs-21.4.24/i686-linux-gnu/nomule/DOC
/usr/lib/xemacs-21.4.24/i686-linux-gnu/nomule/DUMP
/usr/lib/xemacs-21.4.24/i686-linux-gnu/nomule/config.values
/usr/share/doc/xemacs21-nomule
/usr/share/man/man1/xemacs-21.4.24-nomule.1.gz
/usr/share/man/man1/xemacs21-nomule.1.gz
/usr/share/menu/xemacs21-nomule

Changelog

2019-02-04 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-8) unstable; urgency=medium
* Fix build on hppa with patch from John David Anglin (closes: #917365).
2018-12-24 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-7) unstable; urgency=low
* Apply patch from Tatsuya Kinoshita <tats@debian.org> fixing left
over reference to site-start.el from the old emacsen-common
version (closes: #915190).
2018-08-26 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-6) unstable; urgency=low
* Yet another debhelper compat level bump, interface churn yay
(closes: #902524).
* Apply a series of patches from Rob Browning updating for the new
eamcsen-common.
2018-01-18 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-5) unstable; urgency=low
* Acknowledge needless zero day NMU, will need to merge with the
packaging rework later. 
2018-01-18 - Laurent Bigonville <bigon@debian.org>
xemacs21 (21.4.24-4.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Drop libesd0-dev from the build-dependencies, this is some
leftover as esd support has been disabled since 2001 (Closes: #856092)
* debian/control: Explicitly state in the short description that xemacs21
package is a metapackage to avoid being auto-rejected by dak
* debian/PackagesMakefile.in: Make the manpages reproducible by removing
timestamps when gzip'ing (-n) the files
2016-10-23 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-4) unstable; urgency=low
* Force off PIE since GCC enabled it by default which breaks the LISP
handling (closes: #837712)
2016-09-16 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-3) unstable; urgency=low
* Fix yet more breakage from the perl @INC change which somehow didn't
get included in the mass bug filing prior to that change being
implemented (closes: #837225).
2016-04-25 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-2) unstable; urgency=low
* Add build-arch and build-indep targets for policy (closes: #822037).
2015-08-13 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.24-1) unstable; urgency=low
* New upstream release.
* Fix for GCC 5 issues (closes: #778180):
* Pick upstream fix for align_t from Jerry James <james@xemacs.org>.
* Build with -fgnu89-inline to fix GCC 5 breakage with a surprising
redefinition of static inline to be extern.
* Rebuild will pick up new libpng (closes: #650581).
* dh_undocumented is gone, don't bother calling it.
2015-04-29 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-14) unstable; urgency=low
* Clean up after half baked removal of circular dependency, add an
empty versioned lib directory now dpkg does the right thing with
that (closes: #783704).

See Also

Package Description
xemacs21-support_21.4.24-8_all.deb highly customizable text editor -- architecture independent support files
xemacs21-supportel_21.4.24-8_all.deb highly customizable text editor -- non-required library files
xemacs21_21.4.24-8_all.deb highly customizable text editor metapackage
xen-doc_4.11.1+26-g87f51bf366-3_i386.deb XEN documentation
xen-hypervisor-4.11-amd64_4.11.1+26-g87f51bf366-3_i386.deb Xen Hypervisor on AMD64
xen-hypervisor-common_4.11.1+26-g87f51bf366-3_all.deb Xen Hypervisor - common files
xen-system-amd64_4.11.1+26-g87f51bf366-3_i386.deb Xen System on AMD64 (metapackage)
xen-tools_4.8-1_all.deb Tools to manage Xen virtual servers
xen-utils-4.11_4.11.1+26-g87f51bf366-3_i386.deb XEN administrative tools
xen-utils-common_4.11.1+26-g87f51bf366-3_i386.deb Xen administrative tools - common files
xenstore-utils_4.11.1+26-g87f51bf366-3_i386.deb Xenstore command line utilities for Xen
xenwatch_0.5.4-4+b1_i386.deb Virtualization utilities, mostly for Xen
xfaces_3.3-29+b1_i386.deb Displays an image for each piece of mail in your mailbox
xfburn_0.5.5-2_i386.deb CD-burner application for Xfce Desktop Environment
xfce-keyboard-shortcuts_4.12.1-3_all.deb xfce keyboard shortcuts configuration (transitional package)
Advertisement
Advertisement